using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.Rds.Messages
{
    [RdsMessage(0x02,RdsMessageHeaderType.DsnPsn)]
    class PS : RdsMessage, IDsn, IPsn
    {
        public PS(byte[] buffer)
        {
            ProgrammeService2 = Encoding.ASCII.GetString(buffer, 0, 8);
        }

        public byte DataSetNumber { get; set; }
        public byte ProgrammeServiceNumber { get; set; }

        public string ProgrammeService2 { get; private set; }
    }
}
